#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>

#define ACCOUNTS 10000

int
main (int argc, char *argv[])
{
  FILE *fptr;
  int i;
  typedef struct
  {
    char name[21];
    float balance;
  }
  CustAccount;
  CustAccount cust;

  if ((fptr = fopen ("clients.dat", "r+b")) == NULL)
    {
      perror ("Error opening clients.dat");
      exit (1);
    }

  for (i = 0; i < ACCOUNTS; i++)
    {
      if (fread (&cust, sizeof (CustAccount), 1, fptr) != 1)
	{
	  perror ("Error reading from clients.dat");
	  exit (2);
	}
      if (!strcmp (cust.name, "Barry"))
	{
	  strcpy (cust.name, "Barrett");
	  if (fseek (fptr, i * sizeof (CustAccount), SEEK_SET))
	    {
	      perror ("Error seeking in clients.dat");
	      exit (3);
	    }

	  if (fwrite (&cust, sizeof (CustAccount), 1, fptr) != 1)
	    {
	      perror ("Error reading from clients.dat");
	      exit (4);
	    }
	  break;
	}
    }

  if (fclose (fptr) != 0)
    {
      perror ("Error closing clients.dat");
      exit (3);
    }

  return 0;
}
