#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int
main (int argc, char *argv[])
{
  FILE *fptr;
  int accNo;
  char name[21];
  float balance;
  if ((fptr = fopen ("clients.dat", "r")) == NULL)
    {
      perror ("Error opening clients.dat");
      exit (1);
    }

  printf ("Accounts with debit balance \n\n");
  while (1)
    {
      int args = fscanf (fptr, "%d %20s %f", &accNo, name, &balance);
      if (args == EOF)
	break;
      if (args != 3)
	{
	  fprintf (stderr, "Error in clients.dat");
	  exit (2);
	}
      if (balance < 0)
	printf ("%6d %30s %6.2f\n", accNo, name, balance);
    }
  rewind (fptr);

  printf ("\n\nAccounts with credit balance \n\n");
  while (1)
    {
      int args = fscanf (fptr, "%d %20s %f", &accNo, name, &balance);
      if (args == EOF)
	break;
      if (args != 3)
	{
	  fprintf (stderr, "Error in clients.dat");
	  exit (2);
	}
      if (balance >= 0)
	printf ("%6d %30s %6.2f\n", accNo, name, balance);
    }

  if (fclose (fptr) != 0)
    {
      perror ("Error closing clients.dat");
      exit (3);
    }

  return 0;
}
